Bug 1045720 - [abrt] mate-file-manager: handle_error(): caja killed by SIGTRAP
Summary: [abrt] mate-file-manager: handle_error(): caja killed by SIGTRAP
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c4b60b75bcdfbe47c7261839ea8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 13:12 UTC by 赵凯
Modified: 2014-08-14 16:31 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-23 21:46:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.96 KB, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: core_backtrace (18.93 KB, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: dso_list (9.76 KB, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: environ (1.37 KB, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: maps (51.89 KB, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: open_fds (2.12 KB, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: proc_pid_status (921 bytes, text/plain)
2013-12-21 13:12 UTC, 赵凯
no flags Details
File: var_log_messages (1.48 KB, text/plain)
2013-12-21 13:13 UTC, 赵凯
no flags Details

Description 赵凯 2013-12-21 13:12:24 UTC
Version-Release number of selected component:
mate-file-manager-1.6.3-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        caja -n
crash_function: handle_error
executable:     /usr/bin/caja
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #6 _XEventsQueued at xcb_io.c:364
 #7 XPending at Pending.c:55
 #8 gdk_check_xpending at gdkevents-x11.c:159
 #9 gdk_event_check at gdkevents-x11.c:2378
 #10 g_main_context_check at gmain.c:3557
 #13 gtk_main at gtkmain.c:1257

Potential duplicate: bug 868472

Comment 1 赵凯 2013-12-21 13:12:33 UTC
Created attachment 840006 [details]
File: backtrace

Comment 2 赵凯 2013-12-21 13:12:35 UTC
Created attachment 840007 [details]
File: cgroup

Comment 3 赵凯 2013-12-21 13:12:39 UTC
Created attachment 840008 [details]
File: core_backtrace

Comment 4 赵凯 2013-12-21 13:12:42 UTC
Created attachment 840009 [details]
File: dso_list

Comment 5 赵凯 2013-12-21 13:12:44 UTC
Created attachment 840010 [details]
File: environ

Comment 6 赵凯 2013-12-21 13:12:51 UTC
Created attachment 840011 [details]
File: limits

Comment 7 赵凯 2013-12-21 13:12:53 UTC
Created attachment 840012 [details]
File: maps

Comment 8 赵凯 2013-12-21 13:12:56 UTC
Created attachment 840013 [details]
File: open_fds

Comment 9 赵凯 2013-12-21 13:12:58 UTC
Created attachment 840014 [details]
File: proc_pid_status

Comment 10 赵凯 2013-12-21 13:13:00 UTC
Created attachment 840015 [details]
File: var_log_messages

Comment 11 Wolfgang Ulbrich 2013-12-29 09:36:07 UTC
Can you describe a little more detailed what happend?
Did this issue occurs frequently ?

Comment 12 Dan Mashal 2014-02-12 22:45:46 UTC
I was able to reproduce this bug on fresh install of F20, first login.

Comment 13 Wolfgang Ulbrich 2014-02-15 13:48:11 UTC
Than forward the issue to upstream ;)
Reopening a bug whithout given upstream a chance to work on it is useless.

Comment 14 Pavel Roskin 2014-02-15 15:53:16 UTC
Another user experienced a similar problem:

I just moved the cursor over the icons on desktop.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        caja -n
crash_function: handle_error
executable:     /usr/bin/caja
kernel:         3.13.2-200.fc20.i686
package:        mate-file-manager-1.6.3-1.fc20
reason:         caja killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Need Real Name 2014-06-01 04:53:29 UTC
Same as Comment 12, above - first login, no interaction, immediate abort.

Closing this as "INSUFFICIENT DATA" is just avoiding the issue. There is enough information:

1) fresh install Fedora 20
2) install Mate Desktop group
3) choose Mate as desktop environment and log in
4) observe error

I bet you don't even have to have a fresh install of Fedora 20 - just install the Mate desktop group, create a new user, and log in to Mate as that new user. It would take about two minutes to reproduce this problem.


If the response from Fedora QA is "forward the issue to upstream ;)", then why even have a Fedora Bugzilla, or a QA team?

Comment 16 Wolfgang Ulbrich 2014-06-01 07:03:02 UTC
Sorry, Mr. Need Real Name or should i say Mr. Smith, or Mr. Upset ;)
You've lost your bet.
I installed Mate very often directly from netiso image, using lightdm as DM and i can't reproduce the issue.

If a issue is reproduceable than it is the normal way to forward them to upstream for fixing the code. A fedora package maintainer isn't the developer of the software.


Note You need to log in before you can comment on or make changes to this bug.